## Documentation Index

Fetch the complete documentation index at: [/docs/llms.txt](/content/docs/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.polar.sh/v1/webhooks/endpoints

Try it

### Python
```python
from polar.v2026_04 import Polar

polar = Polar("polar_oat_xxx")

for item in polar.webhooks.iter_list_webhook_endpoints(
    page=1,
    limit=10,
):
    print(item)
```

### JavaScript
```javascript
import { createPolar } from "@polar-sh/sdk/2026-04";

const polar = createPolar({
  accessToken: "polar_oat_xxx",
});

for await (const item of polar.webhooks.iterListWebhookEndpoints(
  {
    "page": 1,
    "limit": 10
  },
)) {
  console.log(item);
}
```

### cURL
```bash
curl --request GET \
  --url 'https://api.polar.sh/v1/webhooks/endpoints?page=1&limit=10' \
  --header 'Authorization: Bearer <token>'
```

### Fetch API
```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.polar.sh/v1/webhooks/endpoints?page=1&limit=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP
```php


```

#### Response
200

```json
{
  "items": [
    {
      "created_at": "2026-01-01T00:00:00.000000Z",
      "modified_at": "2026-01-01T00:00:00.000000Z",
      "id": "<string>",
      "url": "https://webhook.site/cb791d80-f26e-4f8c-be88-6e56054192b0",
      "api_version": "<string>",
      "format": "raw",
      "secret": "whsec_ovyN6cPrTv56AApvzCaJno08SSmGJmgbWilb33N2JuK",
      "organization_id": "<string>",
      "events": [
        "checkout.created"
      ],
      "enabled": true,
      "uses_standard_webhook_signature": true,
      "name": "<string>"
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}
```

```json
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}
```

#### Authorizations
Authorization
string
header
required

You can generate a Personal Access Token from your [settings](/content/settings/index.html).

#### Query Parameters

***organization_id***
string<uuid4>\[\]  
Filter by organization ID.  
The organization ID.

Example:

`"1dbfc517-0bbf-4301-9ba8-555ca42b9737"`

***page***  
integer  
default:1  
Page number, defaults to 1.

***limit***  
integer  
default:10  
Size of a page, defaults to 10. Maximum is 100.

#### Response
200
application/json
Successful Response

***items***  
WebhookEndpoint · object\[\]  
required  
Showchild attributes

***pagination***  
Pagination · object  
required  
Showchild attributes
